%define srcname pyparted
Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.8
Release: 	%mkrel 1
License: 	GPLv2+
Group:   	System/Libraries
URL:     	http://fedorahosted.org/pyparted
Source0: 	http://fedorahosted.org/releases/p/y/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires: 	python-devel
BuildRequires: 	parted-devel >= 2.3
BuildRequires: 	pkgconfig
Provides:	%{srcname} = %{version}-%{release}

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{python_sitearch}/_pedmodule.so
%{python_sitearch}/parted
%{python_sitearch}/*info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
python setup.py build 

%install
%__rm -rf %{buildroot}
python setup.py install --root %{buildroot}

# Remove .la file
%__rm -rf %{buildroot}%{python_sitearch}/_pedmodule.la

%clean
%__rm -rf %{buildroot}


%changelog
* Mon Jul 11 2011 dams <dams> 3.8-1.mga2
+ Revision: 122222
- use python ./setup.py as no longuer ./configure provided
- Update to 3.8

* Tue Jun 14 2011 mikala <mikala> 3.6-1.mga2
+ Revision: 106198
- imported package python-parted

